﻿namespace DocuMed.PWA.Services.RestServices;

public interface IRestWrapper
{
    public ICrudApiRest<T, TKey> CrudApiRest<T, TKey>(string address) where T : class;
    public ICrudDtoApiRest<T, TDto, TKey> CrudDtoApiRest<T, TDto, TKey>(string address) where T : class where TDto : class;


    public IAuthRestApi AuthRestApi { get; }
    public ISectionRestApi SectionRestApi { get; }
    public IUserRestApi UserRestApi { get; }
}